/*==============================================================*/
/* DBMS name:      MySQL 5.0                                    */
/* Created on:     2019/8/2 17:04:52                            */
/*==============================================================*/


drop table if exists emt_apply;

drop table if exists emt_bus_address_book;

drop table if exists emt_child_navi_content;

drop table if exists emt_deve_course;

drop table if exists emt_home_background;

drop table if exists emt_home_scroll_img;

drop table if exists emt_honor_cert;

drop table if exists emt_navi_menu;

drop table if exists emt_navi_menu_pic;

drop table if exists emt_new;

drop table if exists emt_new_type;

drop table if exists emt_recruitment;

drop table if exists sys_config;

drop table if exists sys_img_record;

drop table if exists sys_macro;

drop table if exists sys_menu;

drop table if exists sys_role;

drop table if exists sys_role_menu;

drop table if exists sys_user;

drop table if exists sys_user_role;

/*==============================================================*/
/* Table: emt_apply                                             */
/*==============================================================*/
create table emt_apply
(
   apply_id             int(11) not null auto_increment comment '',
   recruitment_id       int(11) comment 'Ƹid',
   apply_cus_name       varchar(64) comment 'ӦƸ',
   apply_cus_email      varchar(64) comment 'ӦƸ',
   apply_cus_phone      varchar(64) comment 'ӦƸ˵绰',
   apply_cus_resume     varchar(256) comment 'ӦƸ˼ļصַ',
   sort_order           int(11) comment '',
   is_valid             char(2) character set utf8 comment 'ǷЧ 1ǣ0',
   creater_sn           varchar(22) comment '˱',
   create_time          datetime comment 'ʱ,yyyy-MM-dd HH:mm:ss',
   moder_sn             varchar(22) comment '޸˱',
   mod_time             datetime comment '޸ʱ,yyyy-MM-dd HH:mm:ss',
   tstm                 TIMESTAMP default CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP comment 'ʱ',
   primary key (apply_id)
)
auto_increment = 1;

alter table emt_apply comment 'ӦƸ';

/*==============================================================*/
/* Table: emt_bus_address_book                                  */
/*==============================================================*/
create table emt_bus_address_book
(
   bus_address_book_id  int(11) not null auto_increment comment '',
   bus_name             varchar(64) character set utf8 comment '˾',
   bus_address          varchar(10000) character set utf8 comment '˾ַ',
   bus_tel              varchar(22) comment '˾ϵ绰',
   bus_email            varchar(64) comment '˾',
   bus_longitude        varchar(64) comment '˾ַ',
   bus_latitude         varchar(64) comment '˾ַγ',
   sort_order           int(11) comment '',
   is_valid             char(2) character set utf8 comment 'ǷЧ 1ǣ0',
   creater_sn           varchar(22) comment '˱',
   create_time          datetime comment 'ʱ,yyyy-MM-dd HH:mm:ss',
   moder_sn             varchar(22) comment '޸˱',
   mod_time             datetime comment '޸ʱ,yyyy-MM-dd HH:mm:ss',
   tstm                 TIMESTAMP default CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP comment 'ʱ',
   primary key (bus_address_book_id)
)
auto_increment = 1;

alter table emt_bus_address_book comment '˾ͨѶ¼';

/*==============================================================*/
/* Table: emt_child_navi_content                                */
/*==============================================================*/
create table emt_child_navi_content
(
   child_navi_content_id int(11) not null auto_increment comment '',
   navi_menu_id         int(11) comment 'ҳ˵idֻeͷҵġ֧Ӳ˵',
   child_navi_content   varchar(10000) character set utf8 comment 'չʾ',
   sort_order           int(11) comment '',
   is_valid             char(2) character set utf8 comment 'ǷЧ 1ǣ0',
   creater_sn           varchar(22) comment '˱',
   create_time          datetime comment 'ʱ,yyyy-MM-dd HH:mm:ss',
   moder_sn             varchar(22) comment '޸˱',
   mod_time             datetime comment '޸ʱ,yyyy-MM-dd HH:mm:ss',
   tstm                 TIMESTAMP default CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP comment 'ʱ',
   primary key (child_navi_content_id)
)
auto_increment = 1;

alter table emt_child_navi_content comment 'Ӽչʾ˵eͷҵġ֧';

/*==============================================================*/
/* Table: emt_deve_course                                       */
/*==============================================================*/
create table emt_deve_course
(
   deve_course_id       int(11) not null auto_increment comment '',
   deve_course_year     varchar(22) comment '',
   deve_course_content  varchar(10000) character set utf8 comment 'չ',
   sort_order           int(11) comment '',
   is_valid             char(2) character set utf8 comment 'ǷЧ 1ǣ0',
   creater_sn           varchar(22) comment '˱',
   create_time          datetime comment 'ʱ,yyyy-MM-dd HH:mm:ss',
   moder_sn             varchar(22) comment '޸˱',
   mod_time             datetime comment '޸ʱ,yyyy-MM-dd HH:mm:ss',
   tstm                 TIMESTAMP default CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP comment 'ʱ',
   primary key (deve_course_id)
)
auto_increment = 1;

alter table emt_deve_course comment 'չ̱';

/*==============================================================*/
/* Table: emt_home_background                                   */
/*==============================================================*/
create table emt_home_background
(
   home_backg_id        int(11) not null auto_increment comment '',
   home_backg_url       varchar(225) character set utf8 comment 'ͼƬurl',
   home_backg_name      varchar(64) character set utf8 comment 'ͼƬ',
   home_backg_content   varchar(10000) character set utf8 comment 'ͼƬ',
   sort_order           int(11) comment '',
   is_valid             char(2) character set utf8 comment 'ǷЧ 1ǣ0',
   creater_sn           varchar(22) comment '˱',
   create_time          datetime comment 'ʱ,yyyy-MM-dd HH:mm:ss',
   moder_sn             varchar(22) comment '޸˱',
   mod_time             datetime comment '޸ʱ,yyyy-MM-dd HH:mm:ss',
   tstm                 TIMESTAMP default CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP comment 'ʱ',
   primary key (home_backg_id)
)
auto_increment = 1;

alter table emt_home_background comment 'ҳͼݱ';

/*==============================================================*/
/* Table: emt_home_scroll_img                                   */
/*==============================================================*/
create table emt_home_scroll_img
(
   home_scroll_img_id   int(11) not null auto_increment comment '',
   home_scroll_img_type char(2) comment '0 ֲչʾ 1 Сͼչʾ',
   home_scroll_img_url  varchar(225) character set utf8 comment 'ֲͼurl',
   home_scroll_img_name varchar(64) character set utf8 comment 'ֲͼ',
   home_scroll_img_content varchar(10000) character set utf8 comment 'ֲͼ',
   sort_order           int(11) comment '',
   is_valid             char(2) character set utf8 comment 'ǷЧ 1ǣ0',
   creater_sn           varchar(22) comment '˱',
   create_time          datetime comment 'ʱ,yyyy-MM-dd HH:mm:ss',
   moder_sn             varchar(22) comment '޸˱',
   mod_time             datetime comment '޸ʱ,yyyy-MM-dd HH:mm:ss',
   tstm                 TIMESTAMP default CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP comment 'ʱ',
   primary key (home_scroll_img_id)
)
auto_increment = 1;

alter table emt_home_scroll_img comment 'ҳֲͼ';

/*==============================================================*/
/* Table: emt_honor_cert                                        */
/*==============================================================*/
create table emt_honor_cert
(
   honor_cert_id        int(11) not null auto_increment comment '',
   honor_cert_year      varchar(22) comment '',
   honor_cert_url       varchar(256) character set utf8 comment 'ͼƬ',
   sort_order           int(11) comment '',
   is_valid             char(2) character set utf8 comment 'ǷЧ 1ǣ0',
   creater_sn           varchar(22) comment '˱',
   create_time          datetime comment 'ʱ,yyyy-MM-dd HH:mm:ss',
   moder_sn             varchar(22) comment '޸˱',
   mod_time             datetime comment '޸ʱ,yyyy-MM-dd HH:mm:ss',
   tstm                 TIMESTAMP default CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP comment 'ʱ',
   primary key (honor_cert_id)
)
auto_increment = 1;

alter table emt_honor_cert comment 'ʱ';

/*==============================================================*/
/* Table: emt_navi_menu                                         */
/*==============================================================*/
create table emt_navi_menu
(
   navi_menu_id         int(11) not null auto_increment comment '',
   parent_navi_menu_id  int(11) comment '˵id',
   navi_menu_type       char(2) comment '˵ 1: 2Ӽ',
   navi_menu_url        varchar(225) character set utf8 comment '˵url',
   navi_menu_name       varchar(64) character set utf8 comment '˵',
   child_menu_level     int(11) comment 'Ӳ˵ȼ',
   sort_order           int(11) comment '',
   is_valid             char(2) character set utf8 comment 'ǷЧ 1ǣ0',
   creater_sn           varchar(22) comment '˱',
   create_time          datetime comment 'ʱ,yyyy-MM-dd HH:mm:ss',
   moder_sn             varchar(22) comment '޸˱',
   mod_time             datetime comment '޸ʱ,yyyy-MM-dd HH:mm:ss',
   tstm                 TIMESTAMP default CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP comment 'ʱ',
   primary key (navi_menu_id)
)
auto_increment = 1;

alter table emt_navi_menu comment '˵';

/*==============================================================*/
/* Table: emt_navi_menu_pic                                     */
/*==============================================================*/
create table emt_navi_menu_pic
(
   navi_menu_pic_id     int(11) not null auto_increment comment '',
   navi_menu_id         int(11) comment '˵id',
   navi_menu_pic_url    varchar(64) character set utf8 comment '˵չʾͼƬurl',
   sort_order           int(11) comment '',
   is_valid             char(2) character set utf8 comment 'ǷЧ 1ǣ0',
   creater_sn           varchar(22) comment '˱',
   create_time          datetime comment 'ʱ,yyyy-MM-dd HH:mm:ss',
   moder_sn             varchar(22) comment '޸˱',
   mod_time             datetime comment '޸ʱ,yyyy-MM-dd HH:mm:ss',
   tstm                 TIMESTAMP default CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP comment 'ʱ',
   primary key (navi_menu_pic_id)
)
auto_increment = 1;

alter table emt_navi_menu_pic comment '˵ͼ';

/*==============================================================*/
/* Table: emt_new                                               */
/*==============================================================*/
create table emt_new
(
   new_id               int(11) not null auto_increment comment '',
   new_type_id          int(11) comment 'id',
   new_title            varchar(64) comment 'ű',
   new_content          varchar(10000) character set utf8 comment '',
   is_hot               char(2) comment 'Ƿ 1ǣ0',
   is_update_start_date char(2) comment 'Ƿ޸״̬ 1ǣ0',
   new_link_type        char(2) comment ' 1ͨ༭ 2ⲿ',
   link_url             varchar(500) comment 'ⲿӵַ',
   sort_order           int(11) comment '',
   is_valid             char(2) character set utf8 comment 'ǷЧ 1ǣ0',
   start_time           datetime comment 'ʱ,yyyy-MM-dd HH:mm:ss',
   creater_sn           varchar(22) comment '˱',
   create_time          datetime comment 'ʱ,yyyy-MM-dd HH:mm:ss',
   moder_sn             varchar(22) comment '޸˱',
   mod_time             datetime comment '޸ʱ,yyyy-MM-dd HH:mm:ss',
   tstm                 TIMESTAMP default CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP comment 'ʱ',
   primary key (new_id)
)
auto_increment = 1;

alter table emt_new comment 'ű';

/*==============================================================*/
/* Table: emt_new_type                                          */
/*==============================================================*/
create table emt_new_type
(
   new_type_id          int(11) not null auto_increment comment '',
   new_type_name        varchar(22) comment '',
   sort_order           int(11) comment '',
   is_valid             char(2) character set utf8 comment 'ǷЧ 1ǣ0',
   creater_sn           varchar(22) comment '˱',
   create_time          datetime comment 'ʱ,yyyy-MM-dd HH:mm:ss',
   moder_sn             varchar(22) comment '޸˱',
   mod_time             datetime comment '޸ʱ,yyyy-MM-dd HH:mm:ss',
   tstm                 TIMESTAMP default CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP comment 'ʱ',
   primary key (new_type_id)
)
auto_increment = 1;

alter table emt_new_type comment 'ͱ';

/*==============================================================*/
/* Table: emt_recruitment                                       */
/*==============================================================*/
create table emt_recruitment
(
   recruitment_id       int(11) not null auto_increment comment '',
   recruitment_name     varchar(256) comment 'λ',
   job_address          varchar(64) comment 'ص',
   experience_year      varchar(64) comment 'Ҫ',
   education_cotent     varchar(64) comment 'ѧҪ',
   recruitment_num      int(11) comment 'Ƹ',
   position_state       varchar(10000) default '0' comment 'λְ',
   entry_require        varchar(5000) comment 'ְҪ',
   sort_order           int(11) comment '',
   is_valid             char(2) character set utf8 comment 'ǷЧ 1ǣ0',
   creater_sn           varchar(22) comment '˱',
   create_time          datetime comment 'ʱ,yyyy-MM-dd HH:mm:ss',
   moder_sn             varchar(22) comment '޸˱',
   mod_time             datetime comment '޸ʱ,yyyy-MM-dd HH:mm:ss',
   tstm                 TIMESTAMP default CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP comment 'ʱ',
   primary key (recruitment_id)
)
auto_increment = 1;

alter table emt_recruitment comment 'Ƹ';

/*==============================================================*/
/* Table: sys_config                                            */
/*==============================================================*/
create table sys_config
(
   id                   int(11) not null auto_increment comment '',
   config_key           varchar(50)  comment 'key',
   config_value         varchar(2000) comment 'value',
   config_status        tinyint(4) default 1 comment '״̬   0   1ʾ',
   remark               varchar(500) default NULL comment 'ע',
   is_valid             char(2) character set utf8 comment 'ǷЧ 1ǣ0',
   creater_sn           varchar(22) comment '˱',
   create_time          datetime comment 'ʱ,yyyy-MM-dd HH:mm:ss',
   moder_sn             varchar(22) comment '޸˱',
   mod_time             datetime comment '޸ʱ,yyyy-MM-dd HH:mm:ss',
   tstm                 TIMESTAMP default CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP comment 'ʱ',
   primary key (id),
   unique key (config_key)
)
auto_increment = 1;

alter table sys_config comment 'ϵͳϢ';

/*==============================================================*/
/* Table: sys_img_record                                        */
/*==============================================================*/
create table sys_img_record
(
   sys_img_record_id    int(11) not null auto_increment comment '',
   img_resource         char(2) default NULL comment 'ͼƬԴ 1˵ͼ2ҳͼ3ҳͼ4ͼ',
   img_url              varchar(1000) character set utf8 comment 'ͼƬurl',
   is_valid             char(2) character set utf8 comment 'ǷЧ 1ǣ0',
   creater_sn           varchar(22) comment '˱',
   create_time          datetime comment 'ʱ,yyyy-MM-dd HH:mm:ss',
   moder_sn             varchar(22) comment '޸˱',
   mod_time             datetime comment '޸ʱ,yyyy-MM-dd HH:mm:ss',
   tstm                 TIMESTAMP default CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP comment 'ʱ',
   primary key (sys_img_record_id)
)
auto_increment = 1;

alter table sys_img_record comment 'ϴͼƬ¼';

/*==============================================================*/
/* Table: sys_macro                                             */
/*==============================================================*/
create table sys_macro
(
   id                   int(11) not null auto_increment comment '',
   parent_id            int(11) default NULL comment 'id',
   name                 varchar(50) default NULL comment '',
   value                varchar(2000) default NULL comment 'ֵ',
   status               tinyint(4) default 1 comment '״̬0   1ʾ',
   type                 tinyint(20) default NULL comment ',0:Ŀ¼1:',
   order_num            int(11) default NULL comment '',
   remark               varchar(500) default NULL comment 'ע',
   creater_sn           varchar(22) comment '˱',
   create_time          datetime comment 'ʱ,yyyy-MM-dd HH:mm:ss',
   moder_sn             varchar(22) comment '޸˱',
   mod_time             datetime comment '޸ʱ,yyyy-MM-dd HH:mm:ss',
   tstm                 TIMESTAMP default CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP comment 'ʱ',
   primary key (id)
)
auto_increment = 1;

alter table sys_macro comment 'ֵͨ';

/*==============================================================*/
/* Table: sys_menu                                              */
/*==============================================================*/
create table sys_menu
(
   menu_id              int(11) not null auto_increment comment '',
   parent_id            int(11) default NULL comment '˵IDһ˵Ϊ0',
   menu_name            varchar(200) comment '˵',
   menu_url             varchar(200) default NULL comment '˵URL',
   component            varchar(200) comment '˵ӳ',
   menu_title           varchar(50) default NULL comment '˵',
   icon                 varchar(50) default NULL comment '˵ͼ',
   type                 int(11) default NULL comment '   0Ŀ¼   1˵   2',
   func_ename           varchar(50) comment 'ܼ',
   func_name            varchar(50) comment '',
   perms                varchar(500) default NULL comment 'Ȩ(öŷָ磺user:list,user:create)',
   order_num            int(11) default NULL comment '',
   is_valid             int(1) default NULL comment '״̬ 0 1',
   creater_sn           varchar(22) comment '˱',
   create_time          datetime comment 'ʱ,yyyy-MM-dd HH:mm:ss',
   moder_sn             varchar(22) comment '޸˱',
   mod_time             datetime comment '޸ʱ,yyyy-MM-dd HH:mm:ss',
   tstm                 TIMESTAMP default CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP comment 'ʱ',
   primary key (menu_id)
)
auto_increment = 1;

alter table sys_menu comment 'ϵͳ˵';

/*==============================================================*/
/* Table: sys_role                                              */
/*==============================================================*/
create table sys_role
(
   role_id              int(11) unsigned not null auto_increment comment '',
   role_name            varchar(100) default NULL comment 'ɫ',
   remark               varchar(100) default NULL comment 'ע',
   is_valid             char(2) character set utf8 comment 'ǷЧ 1ǣ0',
   creater_sn           varchar(22) comment '˱',
   create_time          datetime comment 'ʱ,yyyy-MM-dd HH:mm:ss',
   moder_sn             varchar(22) comment '޸˱',
   mod_time             datetime comment '޸ʱ,yyyy-MM-dd HH:mm:ss',
   tstm                 TIMESTAMP default CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP comment 'ʱ',
   primary key (role_id)
)
auto_increment = 1;

alter table sys_role comment 'ɫ';

/*==============================================================*/
/* Table: sys_role_menu                                         */
/*==============================================================*/
create table sys_role_menu
(
   id                   int(11) not null auto_increment comment '',
   role_id              int(11) default NULL comment 'ɫID',
   menu_id              int(11) default NULL comment '˵ID',
   creater_sn           varchar(22) comment '˱',
   create_time          datetime comment 'ʱ,yyyy-MM-dd HH:mm:ss',
   moder_sn             varchar(22) comment '޸˱',
   mod_time             datetime comment '޸ʱ,yyyy-MM-dd HH:mm:ss',
   tstm                 TIMESTAMP default CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP comment 'ʱ',
   primary key (id)
)
auto_increment = 1;

alter table sys_role_menu comment 'ɫ˵Ӧϵ';

/*==============================================================*/
/* Table: sys_user                                              */
/*==============================================================*/
create table sys_user
(
   user_id              int(11) not null auto_increment comment '',
   username             varchar(50) not null comment 'û',
   password             varchar(100) default NULL comment '',
   is_valid             char(2) character set utf8 comment 'ǷЧ 1ǣ0',
   creater_sn           varchar(22) comment '˱',
   create_time          datetime comment 'ʱ,yyyy-MM-dd HH:mm:ss',
   moder_sn             varchar(22) comment '޸˱',
   mod_time             datetime comment '޸ʱ,yyyy-MM-dd HH:mm:ss',
   tstm                 TIMESTAMP default CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP comment 'ʱ',
   primary key (user_id),
   unique key username (username)
)
auto_increment = 1;

alter table sys_user comment 'ϵͳû';

/*==============================================================*/
/* Table: sys_user_role                                         */
/*==============================================================*/
create table sys_user_role
(
   id                   int(11) not null auto_increment comment '',
   user_id              int(11) default NULL comment 'ûID',
   role_id              int(11) default NULL comment 'ɫID',
   creater_sn           varchar(22) comment '˱',
   create_time          datetime comment 'ʱ,yyyy-MM-dd HH:mm:ss',
   moder_sn             varchar(22) comment '޸˱',
   mod_time             datetime comment '޸ʱ,yyyy-MM-dd HH:mm:ss',
   tstm                 TIMESTAMP default CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP comment 'ʱ',
   primary key (id)
)
auto_increment = 1;

alter table sys_user_role comment 'ûɫӦϵ';

